
package com.tmerclub.cloud.api.auth.constant;

/**
 * 登录方式
 * @author tmerclub
 * @date 2021/01/19
 */
public enum LoginType {

    /**
     * 账号密码
     */
    PASSWORD(1),

    /**
     * 验证码
     */
    CODE(2),

    /**
     * 小程序一键登录
     */
    ONE_CLICK_LOGIN(3);

    private final Integer value;

    public Integer value() {
        return value;
    }

    LoginType(Integer value) {
        this.value = value;
    }

}
